Skip to main content
GET
List the settlements Núclea notified this domicile of

Authorizations

Authorization
string
header
required

JWT bearer token issued by the identity provider.

Query Parameters

paymentDate
string<date>

Only settlements paid on this day (DtPgto, YYYY-MM-DD).

type
enum<string>

Only one notice type: CREDIT (ASLC022), DEBIT (ASLC024) or ANTICIPATION (ASLC032).

Available options:
CREDIT,
DEBIT,
ANTICIPATION
fileName
string

Only the settlements of one file (NomArq).

Maximum string length: 80
answerState
enum<string>

Only settlements with a PARKED answer, which finds the answer files that POST /v1/domicile/responses/unpark needs, and the file names are on each answer.

Available options:
PARKED
limit
integer<int64>
default:50

Page size.

Required range: 1 <= x <= 500
offset
integer<int64>
default:0

Row offset.

Required range: x >= 0

Response

OK

hasNext
boolean
required

True when the page filled the limit.

items
object[]
required
limit
integer<int64>
required

Page size applied.

offset
integer<int64>
required

Row offset applied.